Amarok – versatile and easy to use audio player
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

336 lines
10 KiB

# configure.in.bot
# This file is used for printing important messages at the end of configure
echo ""
if test x$amarok_error_notaglib = xyes; then
echo " ========================"
echo " === Amarok - ERROR =========================================================="
echo " ========================"
echo " ="
echo " = Amarok cannot be built because, either the TagLib library is not installed,"
echo " = or if relevant, the taglib-devel package is not installed."
echo " = TagLib can be obtained from: http://ktown.kde.org/~wheeler/taglib/"
echo " ="
fi
if test x$amarok_error_taglibold = xyes; then
echo " ========================"
echo " === Amarok - ERROR =========================================================="
echo " ========================"
echo " ="
echo " = Amarok cannot be built because your TagLib version is too old. Please obtain"
echo " = the version $TAGLIB_REQ_VERSION from:"
echo " = http://ktown.kde.org/~wheeler/taglib/"
echo " ="
fi
if test x$amarok_error_noruby = xyes; then
echo " =========================="
echo " === Amarok - ERROR =========================================================="
echo " =========================="
echo " ="
echo " = The Ruby programming language is not installed. Please obtain Ruby"
echo " = (version 1.8 or later) from http://ruby-lang.org, or install a distribution"
echo " = package. To build Amarok requires the Ruby header files as well, which some"
echo " = distributions package separately."
echo " ="
fi
if test x$amarok_warning_xineold = xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = Amarok requires xine-lib version: 1.0-rc4"
echo " = Amarok will still be built, but you must use another sound-engine."
echo " ="
fi
if test x$PKGCONFIGFOUND != xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = pkg-config could not be found, this means some optional components (eg the"
echo " = GStreamer-engine) cannot be built."
echo " = See README for help with this issue."
echo " ="
fi
#if test x$amarok_warning_mas_notfound = xyes; then
# echo " =========================="
# echo " === Amarok - WARNING ========================================================"
# echo " =========================="
# echo " ="
# echo " = mas-config could not be found, this means that MAS-engine"
# echo " = cannot be built."
# echo " ="
#fi
if test x$build_xine = xno; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = The recommended xine-engine will not be built. If you want to use the"
echo " = powerful xine multimedia framework with Amarok, please download xine-lib"
echo " = version $xine_version_min or higher from http://xinehq.de/"
echo " ="
fi
if test x$have_gst_plugins = xno -a x$have_gst = xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = No GStreamer plugins were detected!"
echo " = Without plugins you will not be able to play any media using the"
echo " = GStreamer-engine! You need at least the MP3 plugin and a sink plugin, (eg."
echo " = ALSAsink). Please refer to http://gstreamer.freedesktop.org/"
echo " = NOTE: you will still be able to play media with another engine plugin."
echo " ="
fi
if test x$included_sqlite = xno; then
if test x$have_sqlite = xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = You have passed the --without-included-sqlite option to configure, which"
echo " = means that SQLite will be dynamically linked instead of statically linked."
echo " = IMPORTANT: you must ensure the libsqlite.so library in your system is"
echo " = threadsafe!!! Amarok will not be stable otherwise."
echo " ="
else
echo " ========================"
echo " === Amarok - ERROR =========================================================="
echo " ========================"
echo " ="
echo " = You have passed the --without-included-sqlite option to configure, but"
echo " = the development files for SQLite could not be found. Please make sure you"
echo " = have the relevant package installed or, even better, use the included"
echo " = sqlite (unless you *really* know what you're doing, of course)."
echo " ="
fi
fi
if test x$amarok_warning_mysql_notfound = xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = mysql_config could not be found, this means that support for MySql"
echo " = will be disabled."
echo " ="
fi
if test x$amarok_warning_postgresql_notfound = xyes; then
echo " =========================="
echo " === Amarok - WARNING ========================================================"
echo " =========================="
echo " ="
echo " = pg_config could not be found, this means that support for Postgresql"
echo " = will be disabled."
echo " ="
fi
if test x$no_engine = xyes; then
all_tests=bad
echo " =================================="
echo " === AMAROK WILL NOT BE BUILT ================================================"
echo " =================================="
echo " ="
echo " = No suitable multimedia framework was detected. You need to install at least"
echo " = the Xine or Helix framework as detailed in the Amarok README."
echo " ="
fi
if test x$no_amarok = xyes; then
all_tests=bad
echo " =================================="
echo " === AMAROK WILL NOT BE BUILT ================================================"
echo " =================================="
echo " ="
echo " = Some mandatory dependencies are either not installed or not installed"
echo " = correctly. See the Amarok README for help with this issue. Further assistance"
echo " = can be found at http://amarok.kde.org or in amarok on irc.freenode.net."
echo " = You will still be able to build other modules from extragear/multimedia."
echo " ="
else
echo " =========================="
echo " === Amarok - PLUGINS ========================================================"
echo " =========================="
echo " ="
echo " = The following extra functionality will NOT be included:"
# if test x$build_akode != xyes; then
# echo " = - aKode-engine"
# fi
# if test x$have_gst10 != xyes; then
# echo " = - GStreamer0.10-engine"
# fi
if test x$build_xine != xyes; then
echo " = - xine-engine"
fi
if test x$build_nmm != xyes; then
echo " = - NMM-engine"
fi
# if test x$build_mas != xyes; then
# echo " = - MAS-engine"
# fi
if test x$build_helix = xno; then
echo " = - Helix-engine"
fi
if test x$build_yauap = xno; then
echo " = - yauap-engine"
fi
if test x$build_libvisual != xyes; then
echo " = - libvisual Support"
fi
if test x$enable_mysql != xyes; then
echo " = - MySql Support"
fi
if test x$enable_postgresql != xyes; then
echo " = - Postgresql Support"
fi
if test x$have_konqsidebar != xyes; then
echo " = - Konqueror Sidebar"
fi
if test x$have_tunepimp != xyes; then
echo " = - MusicBrainz Support"
fi
if test x$have_mp4v2 != xyes; then
echo " = - MP4/AAC Tag Write Support"
fi
if test x$have_libgpod != xyes; then
if test x$have_libgpod_042 != xno; then
echo " = - iPod Support"
else
echo " = - iPod Support (at least libgpod 0.4.2 is required)"
fi
fi
if test x$have_ifp != xyes; then
echo " = - iRiver iFP Support"
fi
if test x$have_libnjb != xyes; then
echo " = - Creative Nomad Jukebox Support"
fi
if test x$have_libmtp != xyes; then
echo " = - MTP Device Support"
fi
if test x$have_libkarma != xyes; then
echo " = - Rio Karma Support"
fi
if test x$have_daap != xyes; then
echo " = - DAAP Music Sharing Support"
fi
echo " ="
echo " = The following extra functionality will be included:"
# if test x$build_akode = xyes; then
# echo " = + aKode-engine"
# fi
# if test x$have_gst10 = xyes; then
# echo " = + GStreamer0.10-engine"
# fi
if test x$build_xine = xyes; then
echo " = + xine-engine"
fi
if test x$build_nmm = xyes; then
echo " = + NMM-engine"
fi
# if test x$build_mas = xyes; then
# echo " = + MAS-engine"
# fi
if test x$build_helix != xno; then
echo " = + Helix-engine"
fi
if test x$build_yauap != xno; then
echo " = + yauap-engine"
fi
if test x$build_libvisual = xyes; then
echo " = + libvisual Support"
fi
if test x$enable_mysql = xyes; then
echo " = + MySql Support"
fi
if test x$enable_postgresql = xyes; then
echo " = + Postgresql Support"
fi
if test x$have_konqsidebar = xyes; then
echo " = + Konqueror Sidebar"
fi
if test x$have_tunepimp = xyes; then
echo " = + MusicBrainz Support"
fi
if test x$have_mp4v2 = xyes; then
echo " = + MP4/AAC Tag Write Support"
fi
if test x$have_libgpod = xyes; then
echo " = + iPod Support"
fi
if test x$have_ifp = xyes; then
echo " = + iRiver iFP Support"
fi
if test x$have_libnjb = xyes; then
echo " = + Creative Nomad Jukebox Support"
fi
if test x$have_libmtp = xyes; then
echo " = + MTP Device Support"
fi
if test x$have_libkarma = xyes; then
echo " = + Rio Karma Support"
fi
if test x$have_daap = xyes; then
echo " = + DAAP Music Sharing Support"
fi
echo " ="
fi
echo " ==============================================================================="